#include <iostream>
#include <vector>
#include <map>
#include <cstring>

void solve(int *arr, int n, int k, int c, int l, double sum, double* max)
{
    if (c + l == n) return;

    sum += arr[c + l - 1];

    if (l >= k)
    {
        double avg = sum / l;
        if (avg > *max)
        {
            *max = avg;
            std::cout << c << " " << l << " " << avg <<std::endl;
        }
    }

    solve(arr, n, k, c, l + 1, sum, max);
}

int main()
{

    int n, k;
    std::cin>>n>>k;

    int *arr = new int[n];
    for (int i = 0; i < n; ++i)
        std::cin>>arr[i];

    double max = 0.0;
    for (int i = 1; i < n; ++i)
    {
        solve(arr, n, k, i, 1, 0, &max);
    }
    std::cout << max << std::endl;
}
